package ufrn.imd;

import lombok.extern.java.Log;
import ufrn.imd.utils.MachineState;

import java.net.MalformedURLException;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;

@Log
public class BankingClientApp {
    public static void main(String[] args) throws MalformedURLException, NotBoundException, RemoteException {

        MachineState mS = new MachineState();

        for(;;) {
            while(!mS.hasUser()) mS.login();

            while(mS.quit() || mS.hasUser()) {
                mS.render();
                mS.processEvents();
                mS.update();
            }
        }
    }
}
